Subject: RE: [edu-team] IETF 67 generalist technical tutorials

From: "Margaret Wasserman" <[email-masked]>
Date: Tue, 23 May 2006 11:03:50 -0400

I did a talk in the INT area meeting on IPv6 gotchas that was very
well-received.  It focused on the differences between IPv4 and IPv6 and the
things that folks should consider when writing a protocol to work with both.
There aren't many pertinent differences, and most of them have fairly easy
fixes, so for most protocols there is no reasonable justification for being
IPv4-specific.  

During my tenure, when documents came to the IESG that were incompatible
with IPv6, it always seemed to be an honest omission that was quickly
corrected.

I don't know that we've every needed a "thou must be compatible with IPv6"
pronouncement, because everyone seems to understand that they need to do it.

Margaret

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Monday, April 24, 2006 9:25 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [edu-team] IETF 67 generalist technical tutorials
> 
> 
> > Hi Avri,
> > 
> > Actually I must say that I'm not sure if that was and IESG general 
> > observation, or from a couple of ADs in a recent meeting (probably 
> > even the last one).
> 
> What Jordi wrote was:
> 
> > May be the training they need, if we already accepted that 
> in general 
> > there should not be any new protocol passing IESG review if doesn't 
> > support IPv6 (unless justified), is a kind of "IPv6 protocol design 
> > considerations".
> 
> Well, to me (speaking personally) this is *obvious* and has 
> been for five years.
> I mean, why on earth has the IETF invested so many 
> person-years in IPv6 if this is not true? I've certainly been 
> applying this test to drafts since I joined the IESG. My 
> oldest unresolved DISCUSS is on exactly this point, in fact.
> https://datatracker.ietf.org/public/pidtracker.cgi?command=vie
> w_comment&id=33990
> 
> Has the IESG pronounced on this? I have no idea.
> 
> Do we need a separate IPv6 considerations section? I don't 
> think so. But it's easy to check whether a MIB uses IP 
> addresses and if so whether it uses the appropriate 
> definitions to include IPv6. And so on. It's a fairly short 
> check list (see the GGF document I cited).
> 
>      Brian
> 
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/edu-team
> 

_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team